classification
Title: Option -OO doesn't remove docstrings from functions
Type: compile error Stage:
Components: None Versions: Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, piro
Priority: normal Keywords: patch

Created on 2007-09-16 16:07 by piro, last changed 2007-09-19 06:37 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
fix_function_docstring.patch piro, 2007-09-16 16:07
docstring_test.py piro, 2007-09-16 16:20
Messages (3)
msg55945 - (view) Author: Daniele Varrazzo (piro) * Date: 2007-09-16 16:07
The issue was already addressed in Issue1722485.

The fix applied in rev. 55732, 55733 only fixes module and class
docstrings, not function docstrings.

The attached patch fixed the issue for function docstrings too.
msg55946 - (view) Author: Daniele Varrazzo (piro) * Date: 2007-09-16 16:20
The attached file shows the issue: running with -OO no docstring should
be printed.

In rev 58163 the functions docstrings are still printed.
msg56029 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-09-19 06:37
Fixed in rev. 58204, 58205 (2.5).
History
Date User Action Args
2007-09-19 06:37:38georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg56029
2007-09-18 14:39:07jafosetpriority: normal
assignee: georg.brandl
nosy: + georg.brandl
2007-09-16 19:26:39loewissetkeywords: + patch
2007-09-16 16:20:32pirosetfiles: + docstring_test.py
messages: + msg55946
2007-09-16 16:07:42pirocreate